* [gentoo-commits] proj/dotnet:master commit in: dev-dotnet/dotnetcore-sdk-bin/
@ 2018-08-06 12:58 Mikhail Pukhlikov
0 siblings, 0 replies; only message in thread
From: Mikhail Pukhlikov @ 2018-08-06 12:58 UTC (permalink / raw
To: gentoo-commits
commit: 0c1f50e040d429a0ad82ed3e79671d18671228e8
Author: Aidan Harris <mail <AT> aidanharris <DOT> io>
AuthorDate: Sun Aug 5 10:47:34 2018 +0000
Commit: Mikhail Pukhlikov <cynede <AT> gentoo <DOT> org>
CommitDate: Sun Aug 5 10:47:34 2018 +0000
URL: https://gitweb.gentoo.org/proj/dotnet.git/commit/?id=0c1f50e0
dev-dotnet/dotnetcore-sdk-bin:
Package-Manager: Portage-2.3.44, Repoman-2.3.10
.../dotnetcore-sdk-bin-2.1.302.ebuild | 51 ++++++++++++++++++++++
1 file changed, 51 insertions(+)
diff --git a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.1.302.ebuild b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.1.302.ebuild
new file mode 100644
index 0000000..82acb92
--- /dev/null
+++ b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.1.302.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit eutils
+
+DESCRIPTION=".NET Core SDK - binary precompiled for glibc and musl"
+HOMEPAGE="https://www.microsoft.com/net/core"
+LICENSE="MIT"
+
+_base_src_uri="https://download.microsoft.com/download/4/0/9/40920432-3302-47a8-b13c-bbc4848ad114"
+
+SRC_URI="
+ amd64? ( elibc_glibc? ( $_base_src_uri/dotnet-sdk-${PV}-linux-x64.tar.gz -> dotnet-sdk-${PV}-linux-x64.tar.gz ) )
+ amd64? ( elibc_musl? ( $_base_src_uri/dotnet-sdk-${PV}-linux-musl-x64.tar.gz -> dotnet-sdk-${PV}-linux-musl-x64.tar.gz ) )
+"
+
+SLOT="0"
+KEYWORDS="~amd64"
+
+# The sdk includes the runtime-bin and aspnet-bin so prevent from installing at the same time
+# dotnetcore-sdk is the source based build
+
+RDEPEND="
+ >=sys-apps/lsb-release-1.4
+ >=sys-devel/llvm-4.0
+ >=dev-util/lldb-4.0
+ >=sys-libs/libunwind-1.1-r1
+ >=dev-libs/icu-57.1
+ >=dev-util/lttng-ust-2.8.1
+ >=dev-libs/openssl-1.0.2h-r2
+ >=net-misc/curl-7.49.0
+ >=app-crypt/mit-krb5-1.14.2
+ >=sys-libs/zlib-1.2.8-r1
+ elibc_musl? ( >=dev-libs/libintl-0.19.8.1 )
+ !dev-dotnet/dotnetcore-sdk
+ !dev-dotnet/dotnetcore-runtime-bin
+ !dev-dotnet/dotnetcore-aspnet-bin
+"
+
+S=${WORKDIR}
+
+src_install() {
+ local dest="opt/dotnet_core"
+ dodir "${dest}"
+
+ local ddest="${D}${dest}"
+ cp -a "${S}"/* "${ddest}/" || die
+ dosym "/${dest}/dotnet" "/usr/bin/dotnet"
+}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2018-08-06 12:58 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-08-06 12:58 [gentoo-commits] proj/dotnet:master commit in: dev-dotnet/dotnetcore-sdk-bin/ Mikhail Pukhlikov
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox